petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMStagGetNumRanks

get number of ranks in each direction in the global grid decomposition

### Synopsis

    PetscErrorCode DMStagGetNumRanks(DM dm,PetscInt *nRanks0,PetscInt *nRanks1,PetscInt *nRanks2)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameters

nRanks0,nRanks1,nRanks2 -number of ranks in each direction in the grid decomposition

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagGetGlobalSizes(), DMStagGetLocalSize(), DMStagSetNumRank(), DMDAGetInfo()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages